if which dbus-launch >/dev/null && test -z "$DBUS_SESSION_BUS_ADDRESS"; then
	eval `dbus-launch --sh-syntax --exit-with-session`
fi

if test -x /usr/libexec/gnome-settings-daemon >/dev/null; then
	/usr/libexec/gnome-settings-daemon &
elif which gnome-settings-daemon >/dev/null; then
	gnome-settings-daemon &
fi

DESKTOP_ENV=""
if which /usr/lib/openbox/xdg-autostart >/dev/null; then
	/usr/lib/openbox/xdg-autostart $DESKTOP_ENV
fi

(sleep 2 && tint2 2>/dev/null) &
if which /usr/sbin/nctray >/dev/null; then
	/usr/sbin/nctray &
fi

if [ -n "${NC_KIOSK_APP+x}" ]; then
	if which /usr/bin/kiosk.app >/dev/null; then
		/usr/bin/kiosk.app $NC_KIOSK_APP &	
	fi
fi
